%define base_name   simple_gettext
%define name        ocaml-%{base_name}
%define version     0.1
%define release     %mkrel 19

Name:               %{name}
Version:            %{version}
Release:            %{release}
Summary:            OCaml wrapper for the gettext library
URL:                http://merd.net/pixel/ocaml-simple_gettext
Source0:            http://merd.sourceforge.net/pixel/ocaml-simple_gettext/%{name}-%{version}.tar.bz2
License:            GPLv2
Group:              Development/OCaml
BuildRequires:      ocaml >= 3.10
BuildRequires:      ocaml-findlib

%description
OCaml wrapper for the gettext library

%package devel
Summary:    OCaml wrapper for the gettext library
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{base_name}-%{version}

%build
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}/ocaml/stublibs
%makeinstall_std OCAMLFIND_DESTDIR=%buildroot%{_libdir}/ocaml
rm -f %{buildroot}%{_libdir}/ocaml/stublibs/*.owner

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README docs
%dir %{_libdir}/ocaml/%{base_name}
%{_libdir}/ocaml/%{base_name}/*.cmi
%{_libdir}/ocaml/%{base_name}/*.cma
%{_libdir}/ocaml/%{base_name}/META
%{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/ocaml/%{base_name}/*.a
%{_libdir}/ocaml/%{base_name}/*.cmxa
%{_libdir}/ocaml/%{base_name}/*.mli




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.1-19.mga3
+ Revision: 361627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1-18.mga3
+ Revision: 301682
- new rpm group for ocaml

* Sat Oct 22 2011 malo <malo> 0.1-17.mga2
+ Revision: 157435
- spec clean-up and rebuild for Ocaml-3.12.1

* Sat May 14 2011 dmorgan <dmorgan> 0.1-16.mga1
+ Revision: 98350
- imported package ocaml-simple_gettext

